Skip to main content
POST
/
beneficiaries
Create a Transfer Beneficiary
curl --request POST \
  --url https://api.flutterwave.com/v3/beneficiaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_number": "0690000034",
  "account_bank": "044",
  "beneficiary_name": "Flutterwave Developers"
}
'
{
  "status": "success",
  "message": "Beneficiary created",
  "data": {
    "id": 3644,
    "account_number": "0690000034",
    "bank_code": "044",
    "full_name": "Ade Bond",
    "created_at": "2020-01-16T18:01:28.000Z",
    "bank_name": "ACCESS BANK NIGERIA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_number
string
required
account_bank
string
required
beneficiary_name
string
required

Response

OK

status
string
required
message
string
required
data
Data40 · object
required
Example:
{
"id": 3644,
"account_number": "0690000034",
"bank_code": "044",
"full_name": "Ade Bond",
"created_at": "2020-01-16T18:01:28.000Z",
"bank_name": "ACCESS BANK NIGERIA"
}